<template>
  <el-dialog title="详情" :visible.sync="detailOpen" width="1000px" append-to-body destroy-on-close :close-on-click-modal="false">

    <!-- 检查记录详情 -->
    <InspectInfo v-if="detailOpen" :detailInfo="detailInfo"/>

  </el-dialog>

</template>

<script>
  import { getInfor } from "@/api/supervision/record";
  import InspectInfo from "./InspectInfo";
  export default {
    name: "detail-info",
    data(){
        return{
          detailInfo: {
            fDeleteFlag: 0
          },
          detailOpen: false,
        }
    },
    components:{
      InspectInfo,
    },
    methods:{
      getDetailInfo(id){
        getInfor(id).then(res =>{
          if(res.code == 200 && res.data){
            this.detailInfo = res.data;
            this.detailOpen = true;
          }
        })
      },
    }
  }
</script>

<style scoped>

</style>
